## ros-kinetic-ur-description 1.2.7

=== debian/changelog ===
ros-kinetic-ur-description (1.2.7-1xenial) xenial; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 22 Nov 2019 23:00:00 -0000

ros-kinetic-ur-description (1.2.6-1xenial) xenial; urgency=high

  * Add optional safety_controller tags to all joints in xacro macros (#437 <https://github.com/ros-industrial/universal_robot/issues/437>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Corrected dimensions and positions of inertias (#426 <https://github.com/ros-industrial/universal_robot/issues/426>)
  * Add description view launch files for all descriptions to easily check them (#435 <https://github.com/ros-industrial/universal_robot/issues/435>)
  * Contributors: Felix Mauch, JeremyZoss, Miguel Prada, Qiang Qiu, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kinetic-ur-description (1.2.5-1xenial) xenial; urgency=high

  * Add transmission_hw_interface to UR xacro and expose everywhere (#392 <https://github.com/ros-industrial/universal_robot/issues/392>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Updated xacro namespace.
  * Update maintainer and author information.
  * Updated mesh ambience so the model isn't so dark in Gazebo
  * Fix overlapping variable names between robot definition files (#356 <https://github.com/ros-industrial/universal_robot/issues/356>)
  * Improve meshes shading (#233 <https://github.com/ros-industrial/universal_robot/issues/233>)
  * Added run_depend for xacro
  * Using the 'doc' attribute on 'arg' elements.
  * Enable self collision in gazebo
  * Contributors: Dave Niewinski, Felix von Drigalski, Harsh Deshpande, Joe, Marcel Schnirring, Miguel Prada, MonteroJJ, ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-ur-description (1.2.1-1xenial) xenial; urgency=high

  * Merge pull request #329 <https://github.com//ros-industrial/universal_robot/issues/329> from tecnalia-medical-robotics/joint_limits
    Homogenize xacro macro arguments.
  * Merge pull request #332 <https://github.com//ros-industrial/universal_robot/issues/332> from davetcoleman/kinetic_hw_iface_warning
    Remove UR3 ROS Control Hardware Interface warning
  * Remove UR3 ROS Control Hardware Interface warning
  * Extend changes to '_robot.urdf.xacro' variants as well.
  * Homogenize xacro macro arguments.
    Joint limits for the limited version could be set using arguments for the UR10
    but not for the UR3 and UR5. Same lower and upper limit arguments are added to
    the UR3 and UR5 xacro macros.
  * Fix elbow joint limits (#268 <https://github.com//ros-industrial/universal_robot/issues/268>)
  * Remove warning 'redefining global property: pi' (Jade+) (#315 <https://github.com//ros-industrial/universal_robot/issues/315>)
  * Contributors: Beatriz Leon, Dave Coleman, Felix Messmer, Miguel Prada

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-kinetic-ur-description (1.2.0-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-kinetic-ur-description (1.1.9-1xenial) xenial; urgency=high

  * reintroduce 'pi', unbrake dependent xacros.
  * use '--inorder' to trigger use of jade+ xacro on Indigo.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-kinetic-ur-description (1.1.8-1xenial) xenial; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-kinetic-ur-description (1.1.7-1xenial) xenial; urgency=high

  * Fix xacro warnings in Jade (#251 <https://github.com/ros-industrial/universal_robot/issues/251>)
  * added default values to xacro macro
  * tested joint limits modification
  * Contributors: Dave Coleman, G.A. vd. Hoorn, philip 14.04

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-kinetic-ur-description (1.1.6-1xenial) xenial; urgency=high

  * unify mesh names
  * add color to avoid default color 'red' for collision meshes
  * use correct DH parameter + colored meshes
  * introducing urdf for ur3 - first draft
  * unify common xacro files
  * remove obsolete urdf files
  * description: add '_joint' suffix to newly introduced joint tags.
    This is more in-line with naming of existing joint tags.
  * description: add ROS-I base and tool0 frames. Fix #49 <https://github.com/ros-industrial/universal_robot/issues/49> and #95 <https://github.com/ros-industrial/universal_robot/issues/95>.
    Note that 'base' is essentially 'base_link' but rotated by 180
    degrees over the Z-axis. This is necessary as the visual and
    collision geometries appear to also have their origins rotated
    180 degrees wrt the real robot.
    'tool0' is similar to 'ee_link', but with its orientation such
    that it coincides with an all-zeros TCP setting on the UR
    controller. Users are expected to attach their own TCP frames
    to this frame, instead of updating it (see also [1]).
    [1] http://wiki.ros.org/Industrial/Tutorials/WorkingWithRosIndustrialRobotSupportPackages#Standardised_links_.2BAC8_frames
  * description: minor whitespace cleanup of UR5 & 10 xacros.
  * regenerate urdf files
  * use PositionJointInterface as hardwareInterface in transmissions - affects simulation only
  * Contributors: gavanderhoorn, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-ur-description (1.0.2-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-ur-description (1.0.1-1xenial) xenial; urgency=high

  * changes due to file renaming
  * generate urdfs from latest xacros
  * file renaming
  * adapt launch files in order to be able to use normal/limited xacro
  * fixed typo in limits

